# Copyright (c) Jupyter Development Team.
# Distributed under the terms of the Modified BSD License.
FROM python:3.5.1-alpine

WORKDIR /src
RUN pip install tornado
COPY src/* /src/
COPY requirements.txt /tmp/requirements.txt
RUN pip install --upgrade pip
RUN pip install -r  /tmp/requirements.txt
#RUN pip install config-store --trusted-host=192.168.2.129 --extra-index-url http://192.168.2.129:8081/repository/python-group/simple
#RUN pip install bat_client_sdk==1.0.3 --trusted-host=192.168.2.129 --extra-index-url http://192.168.2.129:8081/repository/python-group/simple
#RUN pip install --upgrade --force-reinstall bat_expr_sdk --trusted-host=192.168.2.129 --extra-index-url http://192.168.2.129:8081/repository/python-group/simple
ENTRYPOINT ["python", "/src/client_v1.py"]
